WP phpMyAdmin

外掛說明

[ ✅ 𝐒𝐄𝐂𝐔𝐑𝐄 𝐏𝐋𝐔𝐆𝐈𝐍𝐒 b𝓎 𝒫𝓊𝓋𝑜𝓍 ] :

• Revised for security to be reliable and free of vulnerability holes.
• Efficient, not to add any extra load/slowness to site.
• Don’t collect private data.

Plugin Description

The famous database browser & manager (for MySQL & MariaDB) – use it inside WordPress Dashboard without an extra hassle.

NOTES

  • PHP >= 7.2.5 is required to for phpMyAdmin latest version (otherwise you will have option to use older version of PMA, which is not encouraged to be used).
  • This plugin has been started from 2018 year, and we have no connections to the old age’s vulnerable wp-phpMyAdmin plugin (published elsewhere by 3rd party scammers) . So, this current plugin is just a wrapper for official phpMyAdmin release and depends itself on the realiability & security of the phpMyAdmin itself. Also, initially we wanted to put PhpMyAdmin released .zip file untouched (to ensure the checksums are same) and unpack that .zip directly upon plugin’s installation, but unfortunately WordPress Plugin Team didn’t allow to put .zip file in the package (saying that SVN doesn’t like working with .zip files). Thus, we had to submit extracted PMA (but still original & untouched) to the repository.
  • For the reason to make it compact, some extra or unnecessary files (language files,GIS map, etc) are removed.
  • It’s recommended, that you enable the plugin only while you need to use PhpMyAdmin. Otherwise, for longer periods, you can deactivate plugin.

Liability

We are not developers of PhpMyAdmin itself, neither affiliated with them. We just made this plugin as a wrapper (container) of PhpMyAdmin, so, people could use it in WP. This plugin uses official, unmodified (only whatever mentioned above) PhpMyAdmin package. However, we don’t control, check or revise the PhpMyAdmin package’s source code ot behavior itself, and thus, in overall, we take no responsibility about this plugin. Use it at your own responsibility (However, not more than 1% of users complained about having issues after using the plugin).

Available Options

See all available options and their description on plugin’s settings page.

螢幕擷圖

  • screenshot

安裝方式

A) Enter your website “Admin Dashboard > Plugins > Add New” and enter the plugin name
or
B) Download plugin from WordPress.org , Extract the zip file and upload the container folder to “wp-content/plugins/”

常見問題集

使用者評論

2022 年 7 月 12 日 1 reply
Plugins have the ability to tell you if your PHP version is supported. This plugin doesn't do this and says it's compatible when it isn't.
2022 年 6 月 15 日
Very helpful plugin. Saves a lot of time and hassle in certain circumstances. Thanks!
2021 年 12 月 15 日
Had a WooCommerce message status that remained unactioned and kept bugging me as I couldn't mark it actioned in WP. Used this plugin to change db status and voila! Fixed.
2021 年 8 月 17 日
This is a lifesaver plugin when, for some reason, you don't have the database credentials and need to do some database operations.
閱讀全部 44 則使用者評論

參與者及開發者

以下人員參與了開源軟體〈WP phpMyAdmin〉的開發相關工作。

參與者

〈WP phpMyAdmin〉外掛目前已有 6 個本地化語言版本。 感謝全部譯者為這個外掛做出的貢獻。

將〈WP phpMyAdmin〉外掛本地化為台灣繁體中文版

對開發相關資訊感興趣?

任何人均可瀏覽程式碼、查看 SVN 存放庫,或透過 RSS 訂閱開發記錄

變更記錄

5.2.0.x

  • PMA 5.2.0

5.1.3

  • PMA 5.1.3
  • added language files
  • >= PHP 7.1.3 requirement

5.10

  • PMA 5.1.0

3.02

  • PMA 5.0.2

3.0

  • Added latest PMA: version 5.XX (supported on PHP >= 7.1.3) and version 4.XX (supported on PHP >= 5.6 )

1.01 – 2.99

  • Numerous updates and changes

1.0

  • First release.